# Generated by Django 5.0.4 on 2024-05-27 18:49

from django.db import migrations

from district.blocks import AddressBlock


def migrate_address_blocks(apps, schema_editor):
    DistrictCenterPage = apps.get_model("district", "DistrictCenterPage")

    for center_page in DistrictCenterPage.objects.all():
        for sidebar_block in center_page.sidebar_content.get_prep_value():
            if sidebar_block["type"] == "address":
                print(sidebar_block)

                center_page.map_address_content.append(
                    ("address", AddressBlock().to_python(sidebar_block["value"]))
                )
                center_page.save()

                break


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0207_auto_20240527_1922"),
    ]

    operations = [migrations.RunPython(migrate_address_blocks)]
